lang
stringclasses 10
values | seed
stringlengths 5
2.12k
|
---|---|
shell | docker build -t chatbot:latest .
ibmcloud -login -sso
ibmcloud cr login
docker tag chatbot:latest us.icr.io/socialjournal/chatbot:1
ibmcloud app push social-journal-chatbot |
shell |
# This script runs the xrandr utility to enable additional monitors.
#
# NOTE: You may need to adjust the arguments to --output, as the names of your
# output devices may differ. Use 'xrandr -q' to get a list of your output
# devices and their available modes.
# Output (i.e., monitor) name variables
main_monitor="eDP-1"
second_monitor="DP-1-2-2" |
shell | python puzzlegen.py
cp words.js ../app/src/words.js |
shell | case $OS_NAME in
Linux )
export ANDROID_HOME="$HOME/Android/Sdk";
export JAVA_HOME="/usr/lib/jvm/java-11-openjdk-amd64/"
;;
Darwin )
export JAVA_HOME="/Library/Java/JavaVirtualMachines/adoptopenjdk-8.jdk/Contents/Home"
export ANDROID_HOME="$HOME/Library/Android/sdk";
;;
esac
export PATH="$ANDROID_HOME/tools:$ANDROID_HOME/tools/bin:$ANDROID_HOME/emulator:$ANDROID_HOME/platform-tools:$ANDROID_HOME/build-tools/28.0.3:$PATH"
|
shell | sphinx-build sphinx docs
|
shell | for nd in IP1 IP2 IP3 IP4 IP5 IP6 IP7 IP8
do
for tab in `cat table.txt`
do
schema=`echo $tab | cut -d "." -f1 `
tabnm=`echo $tab | cut -d "." -f2 `
/opt/cassandra/bin/nodetool -u cassandra -pw <Password> -h $nd cfhistograms $schema $tabnm >> histogram.$nd.$tmstmp.out
#echo $schema $tabnm |
shell | sudo apt install -y git
mkdir -p ~/dev
cd ~/dev
[ -d bootstraps ] || git clone https://github.com/tmck-code/bootstraps.git
cd bootstraps
./installers/dotfiles.sh
./installers/linux/debian.sh
./installers/linux/docker.sh
./installers/linux/vim_full.sh
./installers/linux/ffmpeg_compile.sh
|
shell | #!/usr/bin/env bash
ps aux | grep ssh | grep -v grep | awk '{print $2}'> /opt/spiral-arm/whitelist
chown root:root /opt/spiral-arm/whitelist
chown root:root /opt/spiral-arm
|
shell | file $name.o
ld -m elf_i386 -o $name $name.o
file $name
size $name
set +e
ldd $name
readelf -a $name |
shell | # http://stackoverflow.com/questions/3474526/stop-on-first-error
set -e
if [ "$CI" = "true" ]
then
# Codeship checks out the HEAD of the request branch directly, rather than
# checking out the branch name, which results in a detached HEAD state. This
# makes other git commands and git-related grunt tasks (e.g. githash) not
# work nicely. Fix it by explicitly checking out the requested branch.
git checkout $CI_BRANCH
# Tell Codeship to cache globally-installed dependencies, so it doesn't take
# too long to update npm.
# https://documentation.codeship.com/basic/languages-frameworks/nodejs/#dependency-cache |
shell | fi
check_db="postgres"
if _contains "${check_db}" "${CONTAINER_HOST}"; then
ADD_PROTOCOL="postgres://sanguine:sanguine@"
ADD_PORT=":5432/"
fi
echo -e "$CONTAINER_HOST $ADD_PROTOCOL`getent hosts $CONTAINER_HOST | awk '{ print $1 }'`$ADD_PORT"
done
} |
shell | if [ "$fuel" -ge 9 ]; then
local more_fuel=$(calc_required_fuel "$fuel")
echo $(expr "$fuel" + "$more_fuel")
else
echo "$fuel"
fi
}
SUM=0
while read MASS; do
SUM=$(expr "$SUM" + $(calc_required_fuel "$MASS"))
done
echo "$SUM" |
shell |
################################################################################
### Head: Model mod_wallpaper_select_default
##
mod_wallpaper_select_default () {
mod_wallpaper_select_set "$THE_WALLPAPER_DEFAULT_FILE_PATH"
}
##
### Tail: Model mod_wallpaper_select_default
################################################################################
|
shell | #!/bin/sh
celery -A config beat --loglevel=info --pidfile=/fish/celerybeat.pid
|
shell | # Set the host
echo puppet >/etc/hostname
sed -i 's/^127\.0\.1\.1[[:space:]]*localhost/127.0.1.1 localhost puppet/' /etc/hosts
echo 'Host has been set. Reboot the machine then run the after-reboot script.' |
shell | for i in {0..130}
do
java -jar ~/bin/mine/MINE.jar ~/krse2011/visualizer/krse2011_v3_humann_moduleCoverage.csv -masterVariable $i
done
mv *moduleCoverage*Results.csv ~/krse2011/mine/moduleCoverage
mv *moduleCoverage*Status.txt ~/krse2011/mine/moduleCoverage
|
shell | #!/bin/bash
read X
read Y
echo $((X+Y))
echo $((X-Y))
echo $((X*Y))
echo $((X/Y))
|
shell | case "$1" in
-a | --all)
all=1
;;
*)
name="$1"
esac
shift
done
local vm
if [ "$all" = "1" ]; then
while read vm; do
if is_running "$vm"; then |
shell | # build with /usr/local/Qt-6.2.0/bin/qmake ../../qtwebglplugin/
# For QT 6.2.0 - QtWebGLPlugin ???? you can add the followings (not even sure if useful...)
# <EMAIL>:qt/qtshadertools.git |
shell |
if [ $# -eq 1 ]; then
inputfile="$*"
if [ ! -f "$inputfile" ]; then
die "invalid input file: '$inputfile'"
fi
fi
if [ ! -f "$btor2dot" ]; then
die "could not find 'btor2dot'"
fi
for ps2pdf in epstopdf ps2pdf unknown
do |
shell | #!/usr/bin/env bash
echo "ββββ π¦ Building $(pwd) βββββββββββββββββββ"
yarn api-extractor run --local
|
shell | normal=`tput sgr0`
echo "
${bold}Usage:
${normal} ./runTest.sh [package.main_class]
e.g:
./runTest view.cgi.test.LWJGLBoardViewTest
./runTest view.cgi.test.LWJGLTest
"
else
ant |
shell | # GMT, version 5.4
gmt set FONT_LABEL 12p
gmt set FONT_ANNOT_PRIMARY 12p
gmt set FORMAT_GEO_MAP ddd.xF
gmt set MAP_FRAME_TYPE inside
gmt set MAP_FRAME_PEN 0p,white
gmt set MAP_TICK_PEN 0p,white
OUTFILE='loc_japan.ps'
#gmt pscoast -Rg -JG130.9/31.9/8i -Ba -Dh -A500 -Gdimgray -Swhite -P -V -K > $OUTFILE
#gmt pscoast -R129/146/30/46 -JB137/32/31/33/2i -Ba -Dh -A500 -Gdimgray -Swhite -P -V > $OUTFILE
#gmt pscoast -R127/146/29/47 -JM1.8i -Ba -Dh -A500 -Gdimgray -Swhite -P -V -K > $OUTFILE |
shell | if [ $# -eq 0 -o $# -gt 1 ]
then
echo "Usage: $0 <aplname>"
exit 1
fi |
shell | n_trains_4=$(( $k*2))
for n_train in $n_trains_4;
do
CUDA_VISIBLE_DEVICES=0 python -m experiments.proto_nets --dataset fashion-dataset --k-test $k --n-test $n --k-train $n_train --n-train $n --q-train $((10 - $n)) --exp_name 'fashion_loop_new_proto' --q-test $((10 - $n))
# echo $k $n $n_train;
done;
done
done
#for value in {1..10}
#do |
shell | git config --global user.email "<EMAIL>"
git clone https://${GH_TOKEN}@github.com/lambda-llama/bitset.git
cd bitset
git checkout -b gh-pages origin/gh-pages
mv ../index.html benchmarks/index.html
git add benchmarks
rm -rf docs
mv ../dist/doc/html/bitset docs
git add docs |
shell | wget https://www.dropbox.com/s/ium80fif9rajcnl/simple_all.pkl
python3 main.py cluster -dataset $1 -load simple_all.pkl -testcase $2 -csv $3 |
shell |
for rackdc in dc rack; do
var="CASSANDRA_${rackdc^^}"
val="${!var}"
if [ "$val" ]; then
sed -ri 's/^('"$rackdc"'=).*/\1 '"$val"'/' "$CASSANDRA_CONFIG/cassandra-rackdc.properties"
fi
done
fi
exec "$@" |
shell | config_set "topRange" "$u_input"
fi
# ratios
u_input=$(get_input radio "Wallhaven: Choose ratio" "9x16,10x16,9x18") |
shell |
INFILE=/data/data.pcap
OUTFILE=/data/random.pcap
IFACE=eth10
#modprobe dummy
#ip link set name eth10 dev dummy0
SEED=9813
while true; do
SEED=$(expr ${SEED} + 1)
tcprewrite -i $INFILE -o $OUTFILE -s ${SEED}
tcpreplay -x 100.0 -i ${IFACE} ${OUTFILE}
done
|
shell | loki:
configs:
- name: default
positions:
filename: /tmp/positions.yaml |
shell | -e "s#\${PEERPEM}#$PP#" \
-e "s#\${CAPEM}#$CP#" \
ccp-template.yaml | sed -e $'s/\\\\n/\\\n /g'
}
ORG_B=Parents
ORG=parents
P0PORT=7051
P1PORT=8051
CAPORT=7054 |
shell | #!/bin/sh
set -eu pipefail
CURRENT_WINDOW="xdotool getactivewindow"
sh xdotool.sh search --name '^Meet - .+$' windowactivate --sync key --clearmodifiers ctrl+d |
shell |
START_TIME=$(date "+%Y-%m-%d %H:%M:%S")
echo "InterviewPad Deployment Script | START: ($START_TIME)"
# Setup our swap / container variables. First, check and see which image is current (1 or 2).
if docker images | grep -q "ipapp_swap_image_1"; then
CURRENT_SWAP_IMAGE="ipapp_swap_image_1"
CURRENT_SWAP_CONT="ipapp_swap_cont_1"
NEXT_SWAP_IMAGE="ipapp_swap_image_2"
NEXT_SWAP_CONT="ipapp_swap_cont_2"
else |
shell |
# cat /var/www/index.html
# Substitute the script with src by an equivalent inline script.
sed -i "s|<script src=\"/env.js\"></script>|<script src=\"${subs}\"></script>|" /var/www/index.html
# echo 'After substitution'
# cat /var/www/index.html
test -n "$PORT"
envsubst "\$PORT" < /etc/nginx/nginx.conf.template > /etc/nginx/nginx.conf |
shell | echo "######################################################################"
if [ ! -e ${HOME}/sipnet_unk ]; then
cd
curl -o sipnet_unk.tar.gz http://isda.ncsa.illinois.edu/~kooper/PEcAn/models/sipnet_unk.tar.gz
tar zxf sipnet_unk.tar.gz
rm sipnet_unk.tar.gz
fi |
shell | #!/usr/bin/env bash
CUDA_VISIBLE_DEVICES='3' python demo/demo_mot.py configs/mot/centertrack/centertrack_dla34.py --input data/MOT17/train/MOT17-02-SDP/img1 --output mot.mp4 --fps 30 |
shell | #!/bin/sh
set -eu
mas upgrade >/dev/null
|
shell | # => Git SCM
#-----------------------------//
color_echo "Installing Git Source Code Management ... " cyan
sudo add-apt-repository -y ppa:git-core/ppa
sudo apt update
sudo apt install -y git
color_echo "Installing Git-extras, more porcelain for git ... " cyan
sudo apt install -y git-extras
color_echo "Installing Git-Flow (AVH Edition), a great workflow for git ... " cyan |
shell | # Pass in name and status
function die { echo $1: status $2 ; exit $2; }
pushd ${LOCAL_TMP_DIR}
cmsRun --parameter-set ${LOCAL_TEST_DIR}/PreSecondaryInputTest2_cfg.py || die 'Failure using PreSecondaryInputTest2_cfg.py' $?
cmsRun --parameter-set ${LOCAL_TEST_DIR}/PreSecondaryInputTest_cfg.py || die 'Failure using PreSecondaryInputTest_cfg.py' $?
cmsRun --parameter-set ${LOCAL_TEST_DIR}/SecondaryInputTest_cfg.py || die 'Failure using SecondaryInputTest_cfg.py' $?
cmsRun --parameter-set ${LOCAL_TEST_DIR}/SecondarySeqInputTest_cfg.py || die 'Failure using SecondarySeqInputTest_cfg.py' $? |
shell | #!/bin/bash
# sychronize MSYS2 package databases
pacman -Syu
# logout
logout |
shell |
run_planetsplitter()
{
echo "Skipping planetsplitter"
}
|
shell | #
# This assumes all of the OS-level configuration has been completed and git repo has already been cloned
#
# This script should be run from the repo's deployment directory
# cd deployment
# ./run-unit-tests.sh
#
# Get reference for all important folders
# template_dir="$PWD" |
shell | --enable-tracing\
--enable-gtk\
--enable-drm\
--with-background-start-color-stop=0x0073b3\
--with-background-end-color-stop=0x00457e\ |
shell | "iac_posts_fourforums--glove-format.txt" \
"debate_org-ethnicity-african-american-posts--glove-format.txt" \
"debate_org-ethnicity-european-american-posts--glove-format.txt" \
"debate_org-gender-female-posts--glove-format.txt" \
"debate_org-gender-male-posts--glove-format.txt" \
"debate_org-age_groups-22-below-posts--glove-format.txt" \
"debate_org-age_groups-23-up-posts--glove-format.txt" \
"cmv-text_only--glove-format.txt")
for i in ${!all_corpora[*]}
do |
shell | if [ ! -z "$TESTED" ]; then
TESTED="$TESTED, $PYVER"
else
TESTED="$PYVER"
fi |
shell | exit 1
fi
fi
if [[ $FILE == *".zip" ]]; then
unzip -q -o $FILE -d $(dirname $FILE)
FILE=${FILE%".zip"}
else
chmod +x $FILE
fi |
shell | sudo amixer cset numid=3 1
|
shell | #! /bin/bash
#
find . -type f -name "*.tf" -exec dirname {} \;|sort -u | while read -r dir; do
terraform init -backend=false "$dir" || exit 1
terraform validate "$dir" || exit 1
terraform fmt -check -diff "$dir" && echo "[β] $(basename $dir)" || exit 1
done |
shell | curl -L -X GET 'localhost:8082/v2/namespaces/myworld/collections/fitness?where=\{"weights.type":\{"$eq":"bench%20press"\}\}' \
--header "X-Cassandra-Token: $AUTH_TOKEN" \
--header 'Content-Type: application/json'
|
shell | #--cacert /certs/css.crt
if [ ${CERT_LOC} -eq "1" ]; then
CERT_VAR="--cacert /certs/css.crt"
else
CERT_VAR=""
fi
# create orgs in sync service |
shell |
docker run --rm -it -p 8000:8000 -v ${PWD}:/project yakworks/docmark
|
shell | case $opts in
g)
dist_upgrade=true
;;
p)
packages+=("${OPTARG}")
;;
w)
download_urls+=("${OPTARG}")
;;
o) |
shell | #!/bin/bash
convert \( black.png ground.png wall1.png wall2.png wall3.png +append \) \
\( wall4.png wall5.png wall6.png wall7.png pot.png +append \) \
\( grate1.png grate2.png carpet1.png carpet2.png carpet3.png +append \) \
\( carpet4.png carpet5.png carpet6.png carpet7.png carpet8.png +append \) \
\( carpet9.png chair.png +append \) \
-background none -append tileset_tent.png
|
shell | sed -i -e "s#VERSION_ID=.*#VERSION_ID=$VERSION_ID#" "$sysroot"/etc/os-release
sed -i -e "s#NAME=.*#NAME=$NAME#" "$sysroot"/etc/os-release
fi
"$MKSQUASHFS" "$MY_TMPDIR"/sysroot "$MY_TMPDIR"/root.squashfs.img
# ------------------------------------------------------------------------------
# verity
ROOT_HASH=$(veritysetup \
--salt=6665646f7261626f6f6b$(printf '%lx' ${SOURCE_DATE_EPOCH}) \
--uuid=222722e4-58de-415b-9723-bb5dabe36034 \
format "$MY_TMPDIR"/root.squashfs.img "$MY_TMPDIR"/root.verity.img \
|& tail -1 | { read _ _ hash _; echo $hash; } )
|
shell | #!/bin/bash
cc -std=c89 -DDEBUG -Wall -Wpedantic -Wshadow -Wextra -Werror=implicit-int -Werror=incompatible-pointer-types -Werror=int-conversion -Wvla -g -Og -fsanitize=address -fsanitize=undefined main.c -o main
rm ../site/*
./main
rm ./main |
shell | #!/bin/bash
# Updates discordbot from Twentysix GitHub
rm /root/Red-DiscordBot/json
cd /root/Red-DiscordBot && git pull |
shell |
# Check if the user has sudo privileges.
sudo -v >/dev/null 2>&1 || { echo $script_runner has no sudo privileges ; exit 1; }
# Ask if you want to build Ruby or install RVM
echo -e "\n"
echo "Build Ruby or install RVM?"
echo "=> 1. Build from souce"
echo "=> 2. Install RVM"
echo -n "Select your Ruby type [1 or 2]? "
read whichRuby
if [ $whichRuby -eq 1 ] ; then
echo -e "\n\n!!! Set to build Ruby from source and install system wide !!! \n" |
shell | done
for TRY_PASS in ${PASSWD[@]}
do
7z x -y -r -bsp1 -bso0 -bse0 -aot -p${TRY_PASS} -o${TEMP_UNZIP_PATH}$(echo -ne ${i//${TEMP_UNZIP_PATH}/} | grep -oE "[^\.]+"|head -1)_Dir ${i}
if [[ ! $? == 2 ]] ; then break ; fi
done
rm -rf ${i}
echo >&4
}&
done
wait && exec 4>&-
#Remove All Slice File |
shell |
if [ -d $sopel_dir ]
then
rm $sopel_dir/extract_blade_info.py
rm $sopel_dir/ddg.py
rm $sopel_dir/bhq_query.py
fi
|
shell | #!/bin/sh
sudo apt-get install -y make busybox python-pip
sudo pip install https://github.com/larsks/dockerize/archive/master.zip
|
shell | if [ "$2" == "" ]
then
echo -e "\033[32;1mRegex for all files:\033[;0m" 1>&2
find "$1" | grep "\."
else
echo -e "\033[32;1mRegex for \033[;0m.$2\033[32;1m files:\033[;0m" 1>&2
find "$1" | grep "\.$2\$"
fi
}
regex(){
file="0"
while [ "$file" != "" ] |
shell | TWINEPATH=$(dirname $(pwd)/external/*twine*/twine/)
# pkginfo package needed as dependency of twine
PKGINFO_PATH=$(dirname $(pwd)/external/*pkginfo*/pkginfo/)
# readme_renderer package needed as dependency of twine
README_RENDERER_PATH=$(dirname $(pwd)/external/*readme_renderer*/readme_renderer/)
# Pygments package needed as dependency of twine
PYGMENTS_PATH=$(dirname $(pwd)/external/*Pygments*/pygments/)
# requests package needed as dependency of twine
REQUESTS_PATH=$(dirname $(pwd)/external/*requests*/requests/)
# urllib3 package needed as dependency of requests |
shell | -H "Authorization: token $TRAVIS_TOKEN" \
-d "$body" \
https://api.travis-ci.org/repo/plfa%2Fplfa.github.io/requests)
# Output response.
#
echo "$resp" \
| yq d - request.configs \
| yq d - request.config \ |
shell | PREFIX=${1:-default}
STACK_PREFIX="helloworld-$PREFIX"
VERSION=$2
REMOTE_TAG=$(./get-stack-output.sh $STACK_PREFIX-ecr DockerRepoUrl):$VERSION
DB_PASSWORD_PARAM_NAME=$STACK_PREFIX-db-pwd
|
shell | cd ../dump
git remote add origin repo:~/repo/op/unit/dump.git
git remote add github https://github.com/TomoakiNagahara/op-unit-dump.git
# asset/unit/layout
cd ../layout
git remote add origin repo:~/repo/op/unit/layout.git
git remote add github https://github.com/TomoakiNagahara/op-unit-layout.git
# asset/unit/notice
cd ../notice |
shell | #
local arch_qemu="x86_64"
local arch_image="bionic-server-cloudimg-amd64.img"
local arch_image_url="https://cloud-images.ubuntu.com/bionic/current/${arch_image}"
local arch_bios=""
local arch_bios_url=""
local arch_qemu_cpu="qemu64"
local arch_qemu_machine="pc"
local arch_qemu_extra_opts=""
if [ "$(arch)" == "x86_64" ]; then
arch_qemu_cpu="host"
arch_qemu_machine="pc,accel=kvm" |
shell | #!/bin/sh
ansible-playbook -i inv test.yml $*
|
shell | <gh_stars>0
. $HOME/PRD.env
srvctl config scan
srvctl config scan_listener
|
shell | PKG_CONFIG=pkg-config-cross \
../util/configure --prefix=$out $configure_flags
make
make install
|
shell | #!/bin/sh
curl -X POST -d 'fullName=kevin&email=<EMAIL>&password=<PASSWORD>' http://localhost:3000/users/create
curl -X POST -d 'name=testgroup' http://localhost:3000/groups/create
|
shell | NONOK=1
UNKNOWN=2
readonly local_dns_resolver_ip="$1"
# CHAOS class request for a TXT record "id.server." (typically used for
# identification of DNS software). We send a single attempt only, without
# retries and with 33s timeout -Β CoreDNS forward plugin internally defaults to
# 30s dial time and 2s read timeout - this way we ensure to leave enough time
# for CoreDNS forward plugin to respond with _something_.
dig_cmd_out="$(dig -c CH -t TXT @"${local_dns_resolver_ip}" +tries=1 +retry=0 +time=33 +norecurse +noall +noqr +comments id.server. 2>&1)"
dig_cmd_return_code="$?"
dig_cmd_response_status="$(echo "${dig_cmd_out}" | grep HEADER | sed -e 's/^.* status: \(\w\w*\).*$/\1/')"
|
shell | CUDA_VISIBLE_DEVICES=4 python main.py --env-name CTgraphEnvGoalChange-v0 \
--num-context-params 10 --hidden-size 300 --nonlinearity relu \
--fast-batch-size 25 --fast-lr 0.5 --meta-batch-size 40 --test-batch-size 40 --num-test-steps 4 \
--num-workers 4 --num-batches 1001 --test-freq 10 --seed 378 \
--expname cavia --env-config-path ./envs/ctgraph/ctgraph_d3.json
|
shell | git add *
git commit -m "dev"
git push |
shell | #!/bin/bash
./run-client-docker.sh |
shell | function run_tests
{
for i in `ls -1v`
do
if [ -d $i ]
then
echo "Running tests in : $i"
(cd $i; python ../../eval_results.py -config ./eval_config.json -strict; python ../../eval_results.py -config ./eval_config.json;)
fi
done
}
|
shell | #/bin/bash
tar cjpvf filesystem.tar.bz2 --directory filesystem .
tar cjpvf koelectra-base-v3-sentiment-model.tar.bz2 koelectra-base-v3-sentiment-model
docker build --tag sentiment-analysis-api .
|
shell | for x in ${!array[@]}; do
base="${base}DC=${array[x]},"
done
for KEYWORD in $(cat $DOMAIN-keywords.txt) |
shell |
extensionFolder="<EMAIL>"
sourcepath="$PWD/$extensionFolder"
targetpath="/home/$USER/.local/share/gnome-shell/extensions"
if [ "$1" = "uninstall" ]; then
echo "# Removing $targetpath/$extensionFolder"
rm "$targetpath/$extensionFolder" |
shell | #!/bin/bash
./configure --prefix=/usr \
--bindir=/bin \
--disable-static \
--sysconfdir=/etc \
--docdir=/usr/share/doc/attr-2.4.48
|
shell | [[ x$SIGN_GPG_KEY_ID == x ]] && FAILURE "Missing SIGN_GPG_KEY_ID variable in API credentials."
[[ x$SIGN_GPG_KEY_PASS == x ]] && FAILURE "Missing SIGN_GPG_KEY_PASS variable in API credentials."
#[[ x$NEXUS_STAGING_PROFILE_ID == x ]] && FAILURE "Missing NEXUS_STAGING_PROFILE_ID variable in API credentials."
# Configure gpg for gradle task
GRADLE_PARAMS+=" -Psigning.gnupg.keyName=$SIGN_GPG_KEY_ID"
GRADLE_PARAMS+=" -Psigning.gnupg.passphrase=$SIGN_GPG_KEY_PASS"
if [ ! -z $HAS_GPG ] && [ -z $HAS_GPG2 ]; then |
shell | #!/usr/bin/env bash
export IP=api.sno.openshiftlabs.net:6443
export USER=justin
export PROJECT=jupyter-notebooks
|
shell |
size=2
num_classes=2
batch_size=8192
w_cat=1
w_gauss=1
w_rec=1
# rec_type="mse"
rec_type="bce"
python train_cic.py --epochs 100 --gaussian_size $size --num_classes $num_classes --batch_size $batch_size --learning_rate 1e-3 --w_gauss $w_gauss --w_categ $w_cat --w_rec $w_rec --rec_type $rec_type |
shell | #0|1)
# echo "Usage " $(basename $0) " <oldext> <newext>"
# exit 1
#esac
oldext=$1
newext=$2
for f in *.$oldext
do
echo $f
|
shell | if [[ ! -f $(which vboxmanage) ]]; then
echo -e "[Error] Could not locate vboxmanage. Please, install Virtual Box first."
exit 1
fi
# Let's also verify that a VM with this name actually exists
# Note: `vboxmanage list vms` outputs data in the following format:
# "SandboxXP" {2b96015e-42e0-4662-b792-c738c2de155f} |
shell | #!/bin/bash
cd ~/LabConf/hosts/$HOSTNAME/ && \
git checkout master
git fetch origin master && \
git pull origin master && \
vtysh -c 'sh run' > etc/frr/frr.conf && \
git add etc/frr/frr.conf && \
git commit -m "Updated $HOSTNAME etc/frr/frr.conf" etc/frr/frr.conf && \
git push origin master
|
shell | #!/bin/sh
echo "I'm ready and listining on 10000 port"
nc -l -k -vv -n -p 10000 |
shell | docker-compose build --force-rm
docker login --username=_ --password=$(api_key) registry.heroku.com
docker tag insurancequoteportal registry.heroku.com/insurancequoteportal/web
docker push registry.heroku.com/insurancequoteportal/web |
shell | #!/bin/bash
mpirun -n 4 --tag-output python examples/cosmo.py |& tee $1
|
shell | #!/bin/sh
python ../code/cmp-5m-vlasov.py -k ../m7/m7-es-shock -f f7-5m-es-shock -o f7-m7 -m 1836.2 -n 50
python ../code/cmp-5m-vlasov.py -k ../m7/m7-es-shock -f f7-5m-es-shock -o f7-m7 -m 1836.2 -n 100
|
shell | g++ -o $1 $1.cpp csv.cpp -fpermissive --std=c++11 -ltbb -lpthread -lboost_system -lboost_filesystem -lboost_atomic -L/root/boost_1_78_0/stage/lib
|
shell | make -j2
# Test debug configuration
if [ $build_type = "configure-for-testing" ]; then
echo "[+] Start testing $ver_tag"
./nginx/objs/nginx 2> /dev/null &
nginx_pid=$!
tarantool t/test.lua 2> /dev/null &
tnt_pid=$!
./t/run_all.sh
for pid in $nginx_pid $tnt_pid; do
echo "[+] Terminating $pid"
kill -s TERM $pid
wait $pid |
shell | <gh_stars>0
BINARY_NAME=${PKG_NAME}d
PATH_TO_BIN=/home/runner/go/bin/${BINARY_NAME}
TMP_DIR=usr/bin
OUTPUT_DIR=output
TAR_ARCHIVE=${PKG_NAME}_${VERSION}.tar.gz
PATH_TAR=$OUTPUT_DIR/$TAR_ARCHIVE
|
shell | # tput cols # Output the number of columns of the terminal
# Clear and insert commands
# tput ech N # Erase N characters
# tput clear # Clear screen and move the cursor to 0,0
# tput el 1 # Clear to beginning of line
# tput el # Clear to end of line
# tput ed # Clear to end of screen
# tput ich N # Insert N characters (moves rest of line forward!)
# tput il N # Insert N lines
# Other commands
|
shell | refSeq=/"The path to your reference genome for mapping"/
name1=/"The path to your paired-end fastq file 1"/
name2=/"The path to your paired-end fastq file 2"/
bwa mem -t 16 $refSeq $name1 > Human_1.sam
bwa mem -t 16 $refSeq $name2 > Human_2.sam
sort -k1,1f Human_1.sam > Human_1_sort.sam
sort -k1,1f Human_2.sam > Human_2_sort.sam
awk 'BEGIN{OFS="\t"}NF >= 11{$1 = $1"/1";print}' Human_1_sort.sam > Human_1_sort1.sam
awk 'BEGIN{OFS="\t"}NF >= 11{$1 = $1"/2";print}' Human_2_sort.sam > Human_2_sort1.sam
sort -k1,1f -m Human_1_sort1.sam Human_2_sort1.sam > Human.sam |
shell | #!
python3 setup.py sdist
sudo python3 setup.py install
|
shell | fi
tools/gen-code-from-swagger.sh
git commit -a -m "prepare release v$VERSION"
git tag -a "v$VERSION" -m "release v$VERSION - $MSG"
echo "You can use the following template for the release notes, copy/paste below the line"
echo "----------------------------"
VERSION="$VERSION" LANGUAGES="$LANGUAGES" go run ./tools/release_template
|
shell | fi
fi
echo "{" > "$endpoints/endpoints.json"
for w in "$path/"*
do
local bundle=`$pb -c "Print :bundleid" "$w/info.plist" 2> /dev/null` |
shell | exec &> /tmp/recovery_1st_stage.log < /dev/null
PRIMARY_NODE_PGDATA="$1"
DEST_NODE_HOST="$2"
DEST_NODE_PGDATA="$3"
PRIMARY_NODE_PGPORT=$4
PRIMARY_NODE_HOST=$(hostname -s) |
shell | #!/bin/sh
USER_ID=${LOCAL_USER_ID:-9001}
adduser -S -D -h /home/prototool -u "${USER_ID}" prototool
exec /sbin/su-exec prototool /bin/sh "$@"
|
Subsets and Splits